"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useWidgetCode = exports.WidgetCodeProvider = exports.WidgetCodeContext = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _excluded = ["children"];

var WidgetCodeContext = /*#__PURE__*/_react["default"].createContext({});

exports.WidgetCodeContext = WidgetCodeContext;

var WidgetCodeProvider = function WidgetCodeProvider(_ref) {
  var children = _ref.children,
      props = (0, _objectWithoutProperties2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(WidgetCodeContext.Provider, {
    value: props,
    children: children
  });
};

exports.WidgetCodeProvider = WidgetCodeProvider;

var useWidgetCode = function useWidgetCode() {
  return _react["default"].useContext(WidgetCodeContext);
};

exports.useWidgetCode = useWidgetCode;