import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["children"];
import React from 'react';
export const WidgetCodeContext = /*#__PURE__*/React.createContext({});
export const WidgetCodeProvider = _ref => {
  let {
    children
  } = _ref,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(WidgetCodeContext.Provider, {
    value: props,
    children: children
  });
};
export const useWidgetCode = () => {
  return React.useContext(WidgetCodeContext);
};